%{?drupal7_find_provides_and_requires}

%global module xmlsitemap

Name:          drupal7-%{module}
Version:       2.5
Release:       1%{?dist}
Summary:       Module to create a sitemap that conforms to the sitemaps.org specification

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

%description
The XML sitemap module creates a sitemap that conforms to the
sitemaps.org specification. This helps search engines to more
intelligently crawl a website and keep their results up to date. The
sitemap created by the module can be automatically submitted to Ask,
Google, Bing (formerly Windows Live Search), and Yahoo! search engines.
The module also comes with several submodules that can add sitemap links
for content, menu items, taxonomy terms, and user profiles.

This package provides the following Drupal module:
* %{module}


%prep
%setup -qn %{module}

# Create RPM README
cat > RPM-README.txt <<'RPM_README'
After installation, you must enable this module from the Drupal administration
page.

If upgrading this module separately from the core Drupal package, be sure to
run the http://hostname/drupal7/upgrade.php script after this RPM is upgraded.
RPM_README


%build
# Empty build section, nothing to build


%install
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc README.txt RPM-README.txt
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/*.txt


%changelog
* Sat Sep  1 2018 J. Randall Owens <jrowens@ghiapet.net> - 2.5-1
- update to version 2.5

* Sat Apr  8 2017 J. Randall Owens <jrowens@ghiapet.net> - 2.3-1
- Initial package

